local function DrawImage3D(name1, name2, x, y, z, width, height, rot, r, g, b, alpha) 
    local onScreen,_x,_y=World3dToScreen2d(x,y,z)
    local px,py,pz=table.unpack(GetGameplayCamCoords())
    local dist = GetDistanceBetweenCoords(px,py,pz, x,y,z, true)
  
    if onScreen then
      local width = (1/dist)*width
      local height = (1/dist)*height
      local fov = (1/GetGameplayCamFov())*100
      local width = width*fov
      local height = height*fov
    
      local CoordFrom = GetEntityCoords(PlayerPedId(), true)
      local RayHandle = StartShapeTestRay(CoordFrom.x, CoordFrom.y, CoordFrom.z, x, y, z, -1, PlayerPedId(), 0)
      local _, _, _, _, object = GetShapeTestResult(RayHandle)
      if(object == 0) or (object == nil)then
        DrawSprite(name1, name2, _x, _y, width, height, rot, r, g, b, alpha)
      end
    end
  end
  
  
  local isondutyadmin = {}
  CreateThread(function()
  local staff = {
    {"helperinteste", "helperinteste", "helperinteste"},
    {"helper", "helper", "helper"},
    {"helperavansat", "helperavansat", "helperavansat"},
    {"mod", "mod", "mod"},
    {"supermod", "supermod", "supermod"},
    {"administrator", "administrator", "administrator"},
    {"superadministrator", "superadministrator", "superadministrator"},
    {"trusted", "trusted", "trusted"},
    {"headofstaff", "headofstaff", "headofstaff"},
    {"royal", "royal", "royal"},
    {"servermanager", "servermanager", "servermanager"},
    {"cofondator", "cofondator", "cofondator"},
    {"fondator", "fondator", "fondator"},
  }
  for k,v in pairs(staff) do
    local txd = CreateRuntimeTxd(v[1])
    CreateRuntimeTextureFromImage(txd, v[2], "assets/staff/"..v[3]..".png")
  end
  
  local txdAlli = CreateRuntimeTxd("adminalli")
  CreateRuntimeTextureFromImage(txdAlli, "adminalli", "assets/staff/adminalli.png")
  
  local txdDev = CreateRuntimeTxd("develuper")
  CreateRuntimeTextureFromImage(txdDev, "develuper", "assets/staff/develuper.png")
  
  local txdJrDev = CreateRuntimeTxd("develuper_j")
  CreateRuntimeTextureFromImage(txdJrDev, "develuper_j", "assets/staff/develuper_j.png")
    
  local wTime = 400
  while true do
    for _, i in pairs(GetActivePlayers()) do
      if isondutyadmin ~= nil and type(isondutyadmin) == "table" then
        for p, v in pairs(isondutyadmin) do
          if p == GetPlayerServerId(i) then
            local uid = v[1]
            local alvl = v[2]
            local onduty = v[3]
  
            if onduty then
              local ped = GetPlayerPed(i)
              local coords = GetEntityCoords(ped) + vector3(0.0, 0.0, 1.15)
              if IsEntityVisible(ped) then
                wTime = 1
  
                if (uid == 1) then
                  DrawImage3D("develuper", "Developer", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                else
                  if (alvl == 1) then
                    DrawImage3D("helperinteste", "helperinteste", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 2) then
                    DrawImage3D("helper", "helper", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 3) then
                    DrawImage3D("helperavansat", "helperavansat", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 4) then
                    DrawImage3D("mod", "mod", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 5) then
                    DrawImage3D("supermod", "supermod", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 6) then
                    DrawImage3D("administrator", "administrator", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 7) then
                    DrawImage3D("superadministrator", "superadministrator", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 8) then
                    DrawImage3D("trusted", "trusted", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 9) then
                    DrawImage3D("royal", "royal", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 10) then
                    DrawImage3D("headofstaff", "headofstaff", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 11) then
                    DrawImage3D("servermanager", "servermanager", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 12) then
                    DrawImage3D("cofondator", "cofondator", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  elseif (alvl == 13) then
                    DrawImage3D("fondator", "fondator", coords.x, coords.y, coords.z-0.15, 0.25, 0.45, 1.0, 255, 255, 255, 255)
                  end
                end
              end
            end
          end
        end
      end
    end
    Wait(wTime)
    wTime = 400
  end
end)
  
  RegisterNetEvent("ondutymarker", function(tabl)
      isondutyadmin = tabl
  end)